AOMedia AV1 Codec: cfg_options Struct Reference

| AOMedia AV1 Codec

cfg_options Struct Reference
Common Algorithm Interface » Encoder Algorithm Interface

Encoder Config Options. More...

`#include <aom_encoder.h>`

## Data Fields
unsigned int | init_by_cfg_file
| Indicate init by cfg file 0 or 1.
unsigned int | super_block_size
| Superblock size 0, 64 or 128.
unsigned int | max_partition_size
| max partition size 8, 16, 32, 64, 128
unsigned int | min_partition_size
| min partition size 8, 16, 32, 64, 128
unsigned int | disable_ab_partition_type
| disable AB Shape partition type
unsigned int | disable_rect_partition_type
| disable rectangular partition type
unsigned int | disable_1to4_partition_type
| disable 1:4/4:1 partition type
unsigned int | disable_flip_idtx
| disable flip and identity transform type
unsigned int | disable_cdef
| disable CDEF filter
unsigned int | disable_lr
| disable Loop Restoration Filter
unsigned int | disable_obmc
| disable OBMC
unsigned int | disable_warp_motion
| disable Warped Motion
unsigned int | disable_global_motion
| disable global motion
unsigned int | disable_dist_wtd_comp
| disable dist weighted compound
unsigned int | disable_diff_wtd_comp
| disable diff weighted compound
unsigned int | disable_inter_intra_comp
| disable inter/intra compound
unsigned int | disable_masked_comp
| disable masked compound
unsigned int | disable_one_sided_comp
| disable one sided compound
unsigned int | disable_palette
| disable Palette
unsigned int | disable_intrabc
| disable Intra Block Copy
unsigned int | disable_cfl
| disable chroma from luma
unsigned int | disable_smooth_intra
| disable intra smooth mode
unsigned int | disable_filter_intra
| disable filter intra
unsigned int | disable_dual_filter
| disable dual filter
unsigned int | disable_intra_angle_delta
| disable intra angle delta
unsigned int | disable_intra_edge_filter
| disable intra edge filter
unsigned int | disable_tx_64x64
| disable 64x64 transform
unsigned int | disable_smooth_inter_intra
| disable smooth inter/intra
unsigned int | disable_inter_inter_wedge
| disable inter/inter wedge comp
unsigned int | disable_inter_intra_wedge
| disable inter/intra wedge comp
unsigned int | disable_paeth_intra
| disable paeth intra
unsigned int | disable_trellis_quant
| disable trellis quantization
unsigned int | disable_ref_frame_mv
| disable ref frame MV
unsigned int | reduced_reference_set
| use reduced reference frame set
unsigned int | reduced_tx_type_set
| use reduced transform type set

## Detailed Description

Encoder Config Options.

This type allows to enumerate and control flags defined for encoder control via config file at runtime.

The documentation for this struct was generated from the following file:

- aom/aom_encoder.h